<!DOCTYPE html><html lang="en" data-reactroot=""><head><title>Creating an Xcode Project for an App | Apple Developer Documentation</title><meta content="width=device-width, initial-scale=1 viewport-fit=cover" name="viewport"/><meta data-pid="492525"/><link href="https://www.apple.com/wss/fonts?families=SF+Pro,v1|SF+Mono,v1|SF+Pro+Icons,v1" media="all" rel="stylesheet" type="text/css"/><link href="/documentation/__assets/application-e5bb1544.css" media="all" rel="stylesheet" type="text/css"/><noscript><link href="/documentation/__assets/nojs-c6be9131.css" media="all" rel="stylesheet" type="text/css"/></noscript><link rel="mask-icon" href="/documentation/__assets/apple-logo.svg" color="#000"/><link rel="shortcut icon" href="/documentation/__assets/favicon.ico"/><script src="/documentation/__assets/shared-b7676010.js"></script><script id="init-data" type="application/json">{"variant":{"paths":["documentation\/xcode\/creating_an_xcode_project_for_an_app"]}}</script><script src="/documentation/__assets/init-6128d031.js"></script></head><body><div id="_omniture_top">
      <script>
        var s_account="awdappledeveloper"
      </script>
      <script src="https://developer.apple.com/assets/metrics/scripts/analytics.js"></script>
      <script>
        s.pageName= AC && AC.Tracking && AC.Tracking.pageName();
        s.channel="www.documentation.developer"

        var s_code=s.t();if(s_code)document.write(s_code)
      </script>
    </div><div id="app"><div><a href="#main" id="skip-localnav" class="showonfocus hidden">Skip Navigation</a><aside id="ac-gn-segmentbar" class="ac-gn-segmentbar" lang="en-US" dir="ltr"></aside><input type="checkbox" id="ac-gn-menustate" class="ac-gn-menustate"/><nav id="ac-globalnav" class="no-js" role="navigation" aria-label="Global" data-hires="false" data-analytics-region="global nav" lang="en-US" dir="ltr" data-store-locale="us" data-store-api="/[storefront]/shop/bag/status" data-search-locale="en_US" data-search-api="/search-services/suggestions/">
      <div class="ac-gn-content">
        <ul class="ac-gn-header">
          <li class="ac-gn-item ac-gn-menuicon">
            <label class="ac-gn-menuicon-label" for="ac-gn-menustate" aria-hidden="true">
              <span class="ac-gn-menuicon-bread ac-gn-menuicon-bread-top">
                <span class="ac-gn-menuicon-bread-crust ac-gn-menuicon-bread-crust-top"></span>
              </span>
              <span class="ac-gn-menuicon-bread ac-gn-menuicon-bread-bottom">
                <span class="ac-gn-menuicon-bread-crust ac-gn-menuicon-bread-crust-bottom"></span>
              </span>
            </label>
            <a href="#ac-gn-menustate" role="button" class="ac-gn-menuanchor ac-gn-menuanchor-open" id="ac-gn-menuanchor-open">
              <span class="ac-gn-menuanchor-label">Global Nav Open Menu</span>
            </a>
            <a href="#" role="button" class="ac-gn-menuanchor ac-gn-menuanchor-close" id="ac-gn-menuanchor-close">
              <span class="ac-gn-menuanchor-label">Global Nav Close Menu</span>
            </a>
          </li>
          <li class="ac-gn-item ac-gn-apple">
            <a class="ac-gn-link ac-gn-link-apple-developer" href="/" data-analytics-title="appledeveloper home" id="ac-gn-firstfocus-small">
              <span class="ac-gn-link-text">Apple Developer</span>
            </a>
          </li>
        </ul>
        <div class="ac-gn-search-placeholder-container" role="search">
          <div class="ac-gn-search ac-gn-search-small">
            <a id="ac-gn-link-search-small" class="ac-gn-link" href="/search/" data-analytics-title="search" data-analytics-click="search" data-analytics-intrapage-link aria-label="Search Developer">
              <div class="ac-gn-search-placeholder-bar">
                <div class="ac-gn-search-placeholder-input">
                  <div class="ac-gn-search-placeholder-input-text" aria-hidden="true">
                    <div class="ac-gn-link-search ac-gn-search-placeholder-input-icon"></div>
                    <span class="ac-gn-search-placeholder">Search Developer</span>
                  </div>
                </div>
                <div class="ac-gn-searchview-close ac-gn-searchview-close-small ac-gn-search-placeholder-searchview-close">
                  <span class="ac-gn-searchview-close-cancel" aria-hidden="true">Cancel</span>
                </div>
              </div>
            </a>
          </div>
        </div>
        <ul class="ac-gn-list">
          <li class="ac-gn-item ac-gn-apple">
            <a class="ac-gn-link ac-gn-link-apple-developer" href="/" data-analytics-title="appledeveloper home" id="ac-gn-firstfocus">
              <span class="ac-gn-link-text">Apple Developer</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-discover">
            <a class="ac-gn-link ac-gn-link-discover" href="/discover/" data-analytics-title="discover">
              <span class="ac-gn-link-text">Discover</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-design">
            <a class="ac-gn-link ac-gn-link-design" href="/design/" data-analytics-title="design">
              <span class="ac-gn-link-text">Design</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-develop">
            <a class="ac-gn-link ac-gn-link-develop" href="/develop/" data-analytics-title="develop">
              <span class="ac-gn-link-text">Develop</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-distribute">
            <a class="ac-gn-link ac-gn-link-distribute" href="/distribute/" data-analytics-title="distribute">
              <span class="ac-gn-link-text">Distribute</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-dsupport">
            <a class="ac-gn-link ac-gn-link-dsupport" href="/support/" data-analytics-title="dsupport">
              <span class="ac-gn-link-text">Support</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-account">
            <a class="ac-gn-link ac-gn-link-account" href="/account/" data-analytics-title="account">
              <span class="ac-gn-link-text">Account</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-search" role="search">
            <a id="ac-gn-link-search" class="ac-gn-link ac-gn-link-search" href="/search/" data-analytics-title="search" data-analytics-click="search" data-analytics-intrapage-link aria-label="Search Developer"></a>
          </li>
        </ul>
        <aside id="ac-gn-searchview" class="ac-gn-searchview" role="search" data-analytics-region="search">
          <div class="ac-gn-searchview-content">
            <div class="ac-gn-searchview-bar">
              <div class="ac-gn-searchview-bar-wrapper">
                <form id="ac-gn-searchform" class="ac-gn-searchform" action="/search/" method="get">
                  <div class="ac-gn-searchform-wrapper">
                    <input id="ac-gn-searchform-input" class="ac-gn-searchform-input" type="text" name="q" aria-label="Search Developer" placeholder="Search Developer" autocorrect="off" autocapitalize="off" autocomplete="off" spellcheck="false" role="combobox" aria-autocomplete="list" aria-expanded="true" aria-owns="quicklinks suggestions" />
                    <button id="ac-gn-searchform-submit" class="ac-gn-searchform-submit" type="submit" disabled aria-label="Submit Search"></button>
                    <button id="ac-gn-searchform-reset" class="ac-gn-searchform-reset" type="reset" disabled aria-label="Clear Search">
                        <span class="ac-gn-searchform-reset-background"></span>
                      </button>
                  </div>
                </form>
                <button id="ac-gn-searchview-close-small" class="ac-gn-searchview-close ac-gn-searchview-close-small" aria-label="Cancel Search">
                    <span class="ac-gn-searchview-close-cancel" aria-hidden="true">
                      Cancel
                    </span>
                  </button>
              </div>
            </div>
            <aside id="ac-gn-searchresults" class="ac-gn-searchresults" data-string-quicklinks="Quick Links" data-string-suggestions="Suggested Searches" data-string-noresults=""></aside>
          </div>
          <button id="ac-gn-searchview-close" class="ac-gn-searchview-close" aria-label="Cancel Search">
              <span class="ac-gn-searchview-close-wrapper">
                <span class="ac-gn-searchview-close-left"></span>
                <span class="ac-gn-searchview-close-right"></span>
              </span>
            </button>
        </aside>
          </div>
    </nav><div class="ac-gn-blur"></div><div id="ac-gn-curtain" class="ac-gn-curtain"></div><div id="ac-gn-placeholder" class="ac-nav-placeholder"></div><input type="checkbox" id="localnav-menustate" class="localnav-menustate" aria-hidden="true"/><nav id="localnav" class="localnav localnav-dark theme-dark localnav-scrim localnav-noborder" role="navigation" aria-label="API Reference" data-sticky="true"><div class="localnav-wrapper"><div class="referencenav"><div class="localnav-background"></div><div class="localnav-content"><a href="/documentation" class="localnav-title">Documentation</a><div class="localnav-menu"><a href="#localnav-menustate" id="localnav-menustate-open" class="localnav-menucta-anchor localnav-menucta-anchor-open"><span class="localnav-menucta-anchor-label" aria-hidden="true">Open Menu</span></a><a href="#" id="localnav-menustate-close" class="localnav-menucta-anchor localnav-menucta-anchor-close"><span class="localnav-menucta-anchor-label" aria-hidden="true">Close Menu</span></a><div class="localnav-menu-tray"><ul aria-label="Breadcrumbs" class="localnav-menu-items localnav-menu-breadcrumbs"><li class="localnav-menu-item localnav-menu-breadcrumb-item"><a class="localnav-menu-link" href="/documentation/xcode">Xcode</a></li><li class="localnav-menu-item localnav-menu-breadcrumb-item"><div class="localnav-menu-breadcrumb-current-container localnav-menu-link current"><span aria-current="page" class="localnav-menu-breadcrumb-current">Creating an Xcode Project for an App</span></div></li></ul><ul class="localnav-menu-items localnav-menu-settings" data-breadcrumbs-count="2"><li class="localnav-menu-setting language-container"><div class="language-toggle-container"><label for="language-toggle" class="language-toggle-label">Language:</label><select id="language-toggle" class="language-dropdown localnav-menu-link" style="width:auto"><option selected="" value="swift">Swift</option><option value="occ">Objective-C</option></select></div><div class="language-list-container"><span class="localnav-menu-setting-label">Language:</span><ul class="language-list"><li class="language-list-item"><span data-language="swift" aria-current="page" class="current-language">Swift</span></li><li class="language-list-item"><a href="/documentation/xcode/creating_an_xcode_project_for_an_app?language=objc" class="localnav-menu-setting-link">Objective-C</a></li></ul></div></li><li class="localnav-menu-setting"><span class="localnav-menu-setting-label">API Changes:</span><span class="changes-toggle">None</span></li></ul></div><div class="localnav-actions"><div class="localnav-action localnav-action-menucta" aria-hidden="true"><label for="localnav-menustate" class="localnav-menucta"><span class="localnav-menucta-chevron"></span></label></div></div></div></div></div></div></nav><label for="localnav-menustate" id="localnav-curtain" aria-hidden="true"></label><main role="main" id="main" class="main" tabindex="0"><div class="topic-title"><span class="eyebrow">Article</span><h1 class="topic-heading"><span>Creating an Xcode Project for an App</span></h1></div><div class="topic-container section-content row"><div class="topic-description column large-9 medium-9 small-12"><div class="topic-abstract abstract formatted-content"><div><p>Start developing your app by creating an Xcode project from a template.</p></div></div></div><div class="topic-summary column large-3 medium-3 small-12"></div><div class="topic-content column large-9 medium-9 small-12" id="topic-content"><section id="overview" class="section"><h2>Overview</h2><div class="formatted-content"><div><p>To create an Xcode project for your app, choose a template for the platform on which your app will run, and select the type of app you wish to develop, such as a single view, game, or document-based for iOS. Xcode templates include essential project configuration and files that help you start developing your app quickly.</p></div><h3 id="3361512">Prepare Configuration Information </h3><div><p>Before you create a project, collect the information that Xcode needs to identify your app and you as a developer:</p><ul><li><p><strong>Product name.</strong> The name of your app as it will appear in the App Store and appear on a device when installed. The product name must be at least 2 characters and no more than 255 bytes, and should be similar to the app name that you enter later in App Store Connect.</p></li><li><p><strong>Organization identifier. </strong>A reverse DNS string that uniquely identifies your organization. If you don&#x27;t have a company identifier, use <code class="code-voice"><span>com<wbr/>.example.</span></code> followed by your organization name, and replace it before you distribute your app.</p></li><li><p><strong>Organization name. </strong>The name that appears in boilerplate text throughout your project folder. For example, the source and header file copyright strings contain the organization name. The organization name in your project isn&#x27;t the same as the organization name that appears in the App Store.</p></li></ul><aside class="aside aside-important" aria-label="important"><p class="aside-name">Important</p><p>The organization identifier is part of the bundle ID (<a class="symbol-name" href="/documentation/bundleresources/information_property_list/cfbundleidentifier"><code><span>CFBundle<wbr/>Identifier</span></code></a>) by default. Xcode uses the bundle ID to register an App ID when you first run your app on a device. The number of App IDs are limited if you are not a member of the Apple Developer Program, and you can&#x27;t change the App ID after you upload a build to App Store Connect, so choose the organization identifier carefully.</p></aside><p></p></div><h3 id="3361510">Create a Project</h3><div><p>Launch Xcode, then click &quot;Create a new Xcode project&quot; in the Welcome to Xcode window or choose File &gt; New &gt; Project. In the sheet that appears, select the target operating system or platform and a template under Application. In the following sheets, fill out the forms and choose options to configure your project.</p><figure id="3384754"><img class="centered-block" src="https://docs-assets.developer.apple.com/published/0c9c66fc18/11a1ff0c-b340-43b7-b8df-2cd37b3eb893.png" srcSet="https://docs-assets.developer.apple.com/published/0c9c66fc18/11a1ff0c-b340-43b7-b8df-2cd37b3eb893.png 2x" alt="Screenshot of an Xcode window depicting the choices for a template for a new project. At the top are a list of platforms from which to choose, including iOS, watchOS, and so on. In the lower half of the window, options for types of applications are displayed, such as a game and an augmented reality app. The type &quot;Single View App&quot; is highlighted." width="428" height="auto"/></figure><p>You must provide a <em>product name</em> and <em>organization identifier</em> because they are used to create the <em>bundle identifier</em> that identifies your app throughout the system. Also enter an <em>organization name</em>. If you don&#x27;t belong to an organization, enter your name.</p><figure id="3384768"><img class="centered-block" src="https://docs-assets.developer.apple.com/published/c0e841a399/008fca45-246c-4567-9f2e-fe6dae2d6e5c.png" srcSet="https://docs-assets.developer.apple.com/published/c0e841a399/008fca45-246c-4567-9f2e-fe6dae2d6e5c.png 2x" alt="Screenshot showing new project options where you enter a product name, organization name, and organization identifier, and choose a Team and a programming language." width="427" height="auto"/></figure><p>To develop for all platforms and see an interactive preview of your layout, choose SwiftUI as the user interface before you click Next on this sheet.</p></div><h3 id="3361511">Manage Files in the Main Window</h3><div><p>When you create a project or open an existing project, the <em>main window</em> appears, showing the necessary files and resources for developing your app. </p><p>You can access different parts of your project from the <em>navigator area</em> in the main window. Use the <em>project navigator</em> to select files you want to edit in the <em>editor area</em>. For example, when you select a Swift file in the project navigator, the file opens in the <em>source editor,</em> where you can modify the code and set breakpoints.</p><figure id="3371489"><img class="centered-block" src="https://docs-assets.developer.apple.com/published/573c4fd751/5cefe27a-4b66-4b40-9253-5b6f9a31c176.png" srcSet="https://docs-assets.developer.apple.com/published/573c4fd751/5cefe27a-4b66-4b40-9253-5b6f9a31c176.png 2x" alt="Screenshot showing the location of the main window areas: the toolbar at the top, navigator area on the left, editor area to the right, debug area below, and inspector area on the right." width="720" height="auto"/></figure><p>Details about the selected file also appear in the <em>inspector area</em> on the right. In the inspector area, you can select the Attributes inspector to edit properties of a file or user interface element. If you want to hide the inspector to make more room for the editor, click the &quot;Hide or show the Inspectors&quot; button in the upper-right corner of the toolbar.</p><p>You use the <em>toolbar</em> to build and run your app on a simulated or real device. For iOS apps, choose the app target and a simulator or device from the run destination menu in the toolbar, then click the Run button. </p><p>For macOS apps, just click the Run button. When your app launches, the <em>debug area</em> opens, where you can control the execution of your app and inspect variables. When the app stops at the breakpoint, use the controls in the debug area to step through the code or continue execution. When you are done running the app, click the Stop button in the toolbar.</p><p>If you use SwiftUI, you can see an interactive preview of the user interface while you create your app. Xcode keeps the changes you make in the source file, the canvas on the right, and the inspector in sync. You can use the controls in the preview to run the app with the debugger, too. For details, see <a href="/documentation/xcode/creating_your_app_s_interface_with_swiftui">Creating Your App&#x27;s Interface with SwiftUI</a>.</p><p>To change properties you entered when creating your project, select the project name in the project navigator that appears at the top, then the <em>project editor</em> opens in the editor area. Most of the properties you entered appear on the <em>General pane</em> of the project editor. </p><figure id="3371490"><img class="centered-block" src="https://docs-assets.developer.apple.com/published/65b48baf61/1c586bed-ed51-4c26-8bf9-17636b50ebb0.png" srcSet="https://docs-assets.developer.apple.com/published/65b48baf61/1c586bed-ed51-4c26-8bf9-17636b50ebb0.png 2x" alt="Screenshot showing the General pane of the project editor with the Identity and Deployment Info settings revealed." width="680" height="auto"/></figure><p></p></div></div></section></div></div></main><section id="globalfooter-wrapper"><footer id="globalfooter" role="contentinfo">
        <nav class="footer-breadory">
          <a href="/" class="home breadcrumbs-home"><span aria-hidden="true"></span><span class="breadcrumbs-home-label">Developer</span></a>
          <section class="breadcrumbs">
            <ol class="breadcrumbs-list">
              <li><a href=/documentation>Documentation</a></li>
            </ol>
          </section>
          <div id="directorynav" class="directorynav">
            <div id="dn-cola" class="column">
              <h3><a href="/discover/">Discover</a></h3>
              <ul>
                <li><a href="/macos/">macOS</a></li>
                <li><a href="/ios/">iOS</a></li>
                <li><a href="/watchos/">watchOS</a></li>
                <li><a href="/tvos/">tvOS</a></li>
                <li><a href="/safari/">Safari and Web</a></li>
                <li><a href="/games/">Games</a></li>
                <li><a href="/business/">Business</a></li>
                <li><a href="/education/">Education</a></li>
                <li><a href="/wwdc/">WWDC</a></li>
              </ul>
            </div>
            <div id="dn-colb" class="column">
              <h3><a href="/design/">Design</a></h3>
              <ul>
                <li><a href="/design/human-interface-guidelines/">Human Interface Guidelines</a></li>
                <li><a href="/design/resources/">Resources</a></li>
                <li><a href="/videos/design/">Videos</a></li>
                <li><a href="/design/awards/">Apple Design Awards</a></li>
                <li><a href="/accessibility/">Accessibility</a></li>
                <li><a href="/internationalization/">Internationalization</a></li>
                <li><a href="/accessories/">Accessories</a></li>
              </ul>
            </div>
            <div id="dn-colc" class="column">
              <h3><a href="/develop/">Develop</a></h3>
              <ul>
                <li><a href="/xcode/">Xcode</a></li>
                <li><a href="/swift/">Swift</a></li>
                <li><a href="/swift-playgrounds/">Swift Playgrounds</a></li>
                <li><a href="/testflight/">TestFlight</a></li>
                <li><a href="/documentation/">Documentation</a></li>
                <li><a href="/videos/">Videos</a></li>
                <li><a href="/download/">Downloads</a></li>
              </ul>
            </div>
            <div id="dn-cold" class="column">
              <h3><a href="/distribute/">Distribute</a></h3>
              <ul>
                <li><a href="/programs/">Developer Program</a></li>
                <li><a href="/app-store/">App Store</a></li>
                <li><a href="/app-store/review/">App Review</a></li>
                <li><a href="/macos/distribution/">Mac Software</a></li>
                <li><a href="/business/distribute/">Apps for Business</a></li>
                <li><a href="/safari/extensions/">Safari Extensions</a></li>
                <li><a href="/app-store/marketing/guidelines/">Marketing Resources</a></li>
                <li><a href="/softwarelicensing/">Trademark Licensing</a></li>
              </ul>
            </div>
            <div id="dn-cole" class="column">
              <h3><a href="/support/">Support</a></h3>
              <ul>
                <li><a href="https://forums.developer.apple.com">Developer Forums</a></li>
                <li><a href="/bug-reporting/">Bug Reporting</a></li>
                <li><a href="/terms/">License Agreements</a></li>
                <li><a href="/system-status/">System Status</a></li>
                <li><a href="/contact/">Contact Us</a></li>
              </ul>
              <h3><a href="/account/">Account</a></h3>
              <ul>
                <li><a href="/account/ios/certificate/">Certificates, IDs &amp; Profiles</a></li>
                <li><a href="https://appstoreconnect.apple.com/">App Store Connect</a></li>
              </ul>
            </div>
          </div>
        </nav>
        <div class="ac-gf-footer-legal">
          <div class="ac-gf-footer-news"> To receive the latest developer news, visit and subscribe to our <a href="/news/">News and Updates</a>.
          </div>
          <div class="ac-gf-footer-legal-copyright">Copyright © 2020 Apple Inc. All rights reserved.</div>
          <div class="ac-gf-footer-legal-links">
            <a href="https://www.apple.com/legal/internet-services/terms/site.html" class="first">Terms of Use</a>
            <a href="https://www.apple.com/privacy/privacy-policy/">Privacy Policy</a>
            <a href="/bug-reporting/">Report Bugs</a>
            <a href="/contact/submit/?subject=website-feedback">Feedback</a>
          </div>
          <div class="ac-gf-footer-language-links">
            <a href="/cn/" class="first">简体中文</a>
            <a href="/jp/">日本語</a>
            <a href="/kr/">한국어</a>
          </div>
        </div>
      </footer></section></div></div><script id="bootstrap-data" type="application/json">{"id":3361508,"title":{"content":"Creating an Xcode Project for an App"},"abstract":"<div><p>Start developing your app by creating an Xcode project from a template.<\/p><\/div>","discussion":"<div><p>To create an Xcode project for your app, choose a template for the platform on which your app will run, and select the type of app you wish to develop, such as a single view, game, or document-based for iOS. Xcode templates include essential project configuration and files that help you start developing your app quickly.<\/p><\/div><h3 id=\"3361512\">Prepare Configuration Information <\/h3><div><p>Before you create a project, collect the information that Xcode needs to identify your app and you as a developer:<\/p><ul><li><p><strong>Product name.<\/strong> The name of your app as it will appear in the App Store and appear on a device when installed. The product name must be at least 2 characters and no more than 255 bytes, and should be similar to the app name that you enter later in App Store Connect.<\/p><\/li><li><p><strong>Organization identifier. <\/strong>A reverse DNS string that uniquely identifies your organization. If you don&#x27;t have a company identifier, use <code class=\"code-voice\"><span>com<wbr\/>.example.<\/span><\/code> followed by your organization name, and replace it before you distribute your app.<\/p><\/li><li><p><strong>Organization name. <\/strong>The name that appears in boilerplate text throughout your project folder. For example, the source and header file copyright strings contain the organization name. The organization name in your project isn&#x27;t the same as the organization name that appears in the App Store.<\/p><\/li><\/ul><aside class=\"aside aside-important\" aria-label=\"important\"><p class=\"aside-name\">Important<\/p><p>The organization identifier is part of the bundle ID (<a class=\"symbol-name\" href=\"\/documentation\/bundleresources\/information_property_list\/cfbundleidentifier\"><code><span>CFBundle<wbr\/>Identifier<\/span><\/code><\/a>) by default. Xcode uses the bundle ID to register an App ID when you first run your app on a device. The number of App IDs are limited if you are not a member of the Apple Developer Program, and you can&#x27;t change the App ID after you upload a build to App Store Connect, so choose the organization identifier carefully.<\/p><\/aside><p><\/p><\/div><h3 id=\"3361510\">Create a Project<\/h3><div><p>Launch Xcode, then click &quot;Create a new Xcode project&quot; in the Welcome to Xcode window or choose File &gt; New &gt; Project. In the sheet that appears, select the target operating system or platform and a template under Application. In the following sheets, fill out the forms and choose options to configure your project.<\/p><figure id=\"3384754\"><img class=\"centered-block\" src=\"https:\/\/docs-assets.developer.apple.com\/published\/0c9c66fc18\/11a1ff0c-b340-43b7-b8df-2cd37b3eb893.png\" srcSet=\"https:\/\/docs-assets.developer.apple.com\/published\/0c9c66fc18\/11a1ff0c-b340-43b7-b8df-2cd37b3eb893.png 2x\" alt=\"Screenshot of an Xcode window depicting the choices for a template for a new project. At the top are a list of platforms from which to choose, including iOS, watchOS, and so on. In the lower half of the window, options for types of applications are displayed, such as a game and an augmented reality app. The type &quot;Single View App&quot; is highlighted.\" width=\"428\" height=\"auto\"\/><\/figure><p>You must provide a <em>product name<\/em> and <em>organization identifier<\/em> because they are used to create the <em>bundle identifier<\/em> that identifies your app throughout the system. Also enter an <em>organization name<\/em>. If you don&#x27;t belong to an organization, enter your name.<\/p><figure id=\"3384768\"><img class=\"centered-block\" src=\"https:\/\/docs-assets.developer.apple.com\/published\/c0e841a399\/008fca45-246c-4567-9f2e-fe6dae2d6e5c.png\" srcSet=\"https:\/\/docs-assets.developer.apple.com\/published\/c0e841a399\/008fca45-246c-4567-9f2e-fe6dae2d6e5c.png 2x\" alt=\"Screenshot showing new project options where you enter a product name, organization name, and organization identifier, and choose a Team and a programming language.\" width=\"427\" height=\"auto\"\/><\/figure><p>To develop for all platforms and see an interactive preview of your layout, choose SwiftUI as the user interface before you click Next on this sheet.<\/p><\/div><h3 id=\"3361511\">Manage Files in the Main Window<\/h3><div><p>When you create a project or open an existing project, the <em>main window<\/em> appears, showing the necessary files and resources for developing your app. <\/p><p>You can access different parts of your project from the <em>navigator area<\/em> in the main window. Use the <em>project navigator<\/em> to select files you want to edit in the <em>editor area<\/em>. For example, when you select a Swift file in the project navigator, the file opens in the <em>source editor,<\/em> where you can modify the code and set breakpoints.<\/p><figure id=\"3371489\"><img class=\"centered-block\" src=\"https:\/\/docs-assets.developer.apple.com\/published\/573c4fd751\/5cefe27a-4b66-4b40-9253-5b6f9a31c176.png\" srcSet=\"https:\/\/docs-assets.developer.apple.com\/published\/573c4fd751\/5cefe27a-4b66-4b40-9253-5b6f9a31c176.png 2x\" alt=\"Screenshot showing the location of the main window areas: the toolbar at the top, navigator area on the left, editor area to the right, debug area below, and inspector area on the right.\" width=\"720\" height=\"auto\"\/><\/figure><p>Details about the selected file also appear in the <em>inspector area<\/em> on the right. In the inspector area, you can select the Attributes inspector to edit properties of a file or user interface element. If you want to hide the inspector to make more room for the editor, click the &quot;Hide or show the Inspectors&quot; button in the upper-right corner of the toolbar.<\/p><p>You use the <em>toolbar<\/em> to build and run your app on a simulated or real device. For iOS apps, choose the app target and a simulator or device from the run destination menu in the toolbar, then click the Run button. <\/p><p>For macOS apps, just click the Run button. When your app launches, the <em>debug area<\/em> opens, where you can control the execution of your app and inspect variables. When the app stops at the breakpoint, use the controls in the debug area to step through the code or continue execution. When you are done running the app, click the Stop button in the toolbar.<\/p><p>If you use SwiftUI, you can see an interactive preview of the user interface while you create your app. Xcode keeps the changes you make in the source file, the canvas on the right, and the inspector in sync. You can use the controls in the preview to run the app with the debugger, too. For details, see <a href=\"\/documentation\/xcode\/creating_your_app_s_interface_with_swiftui\">Creating Your App&#x27;s Interface with SwiftUI<\/a>.<\/p><p>To change properties you entered when creating your project, select the project name in the project navigator that appears at the top, then the <em>project editor<\/em> opens in the editor area. Most of the properties you entered appear on the <em>General pane<\/em> of the project editor. <\/p><figure id=\"3371490\"><img class=\"centered-block\" src=\"https:\/\/docs-assets.developer.apple.com\/published\/65b48baf61\/1c586bed-ed51-4c26-8bf9-17636b50ebb0.png\" srcSet=\"https:\/\/docs-assets.developer.apple.com\/published\/65b48baf61\/1c586bed-ed51-4c26-8bf9-17636b50ebb0.png 2x\" alt=\"Screenshot showing the General pane of the project editor with the Identity and Deployment Info settings revealed.\" width=\"680\" height=\"auto\"\/><\/figure><p><\/p><\/div>","containingGroup":[{"id":3161337,"role":"task","paths":[],"symbols":[{"id":3361508,"role":"article","paths":["documentation\/xcode\/creating_an_xcode_project_for_an_app"],"abstract":"<div><p>Start developing your app by creating an Xcode project from a template.<\/p><\/div>","title":{"content":"Creating an Xcode Project for an App"}}],"title":{"content":"Essentials"}}],"role":"article","language":"swift","roleHeading":"Article","languages":["occ","swift"],"variants":{"occ":{"paths":["documentation\/xcode\/creating_an_xcode_project_for_an_app"]},"swift":{"paths":["documentation\/xcode\/creating_an_xcode_project_for_an_app"]}},"pid":492525,"paths":["documentation\/xcode\/creating_an_xcode_project_for_an_app"],"hierarchy":[[{"id":3151777,"role":"collection","title":{"content":"Xcode"},"paths":["documentation\/xcode"]}]],"legalNotices":{"copyright":"Copyright &copy; 2020 Apple Inc. All rights reserved.","termsOfUse":"https:\/\/www.apple.com\/legal\/internet-services\/terms\/site.html","privacyPolicy":"https:\/\/www.apple.com\/privacy\/privacy-policy"}}</script><script src="/documentation/__assets/TopicDetail-e635bc11.js"></script><script src="/documentation/__assets/analytics-8acae80a.js"></script></body></html>